using System.Data;

namespace Stat.BLL
{
    /// <summary>
    /// 搜索引擎 关键字 分页检索
    /// </summary>
    public class ViewEnginePageIndex
    {
        private static IDAL.IViewEnginePageIndex dal = DALFactory.AbstractFactory.GetInstance().CreateViewEnginePageIndex();
        /// <summary>
        /// 获取列表（分页）
        /// </summary>
        /// <param name="pageInfo"></param>
        /// <returns></returns>
        public static DataTable GetList(ref Model.PageInfo pageInfo)
        {
            return dal.GetList(ref pageInfo);
        }
    }
}
